<?php
/**
 * Hordoogle base inclusion file.
 *
 * $Horde$
 *
 * Copyright 2003 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Marko Djukic <marko@oblo.com>
 * @version $Revision$
 * @package hordoogle
 */

/* Find the base file path of Horde */
@define('HORDE_BASE', dirname(__FILE__) . '/../..');

/* Find the base file path of Scry */
@define('HORDOOGLE_BASE', dirname(__FILE__) . '/..');

/* Browser detection library */
require_once HORDE_BASE . '/lib/Browser.php';
$browser = &new Browser();

/* Registry and Horde config */
require_once HORDE_BASE . '/lib/Registry.php';
$registry = &Registry::singleton();
$registry->pushApp('hordoogle');
$conf = &$GLOBALS['conf'];
@define('HORDOOGLE_TEMPLATES', $registry->getParam('templates'));

/* Horde base libraries */
require_once HORDE_BASE . '/lib/Horde.php';

/* Authentication and permissions libraries */
require_once HORDE_BASE . '/lib/Auth.php';
require_once HORDE_BASE . '/lib/Perms.php';
require_once HORDE_BASE . '/lib/Group.php';

/* Help library */
require_once HORDE_BASE . '/lib/Help.php';

/* Menu library */
require_once HORDE_BASE . '/lib/Menu.php';

/* PEAR libraries */
require_once 'SOAP/Client.php';

/* Hordoogle library */
require_once HORDOOGLE_BASE . '/lib/Google.php';

/* Templates */
require_once HORDE_BASE . '/lib/Template.php';
$template = &new Horde_Template();

/* Forms libraries */
require_once HORDE_BASE . '/lib/Form.php';
require_once HORDE_BASE . '/lib/Form/Renderer.php';

/* Notification sytem */
require_once HORDE_BASE . '/lib/Notification.php';
$notification = &Notification::singleton();
$notification->attach('status');

/* Scry base library */
require_once HORDOOGLE_BASE . '/lib/Google.php';

/* Block access unless there is a Horde login or guests are allowed */
if (!(Auth::getAuth() || $registry->allowGuests())) {
    Horde::authenticationFailureRedirect();
}
