<?php
/**
 * The Hordoogle script to search Google.
 *
 * Copyright 2003 Marko Djukic <marko@oblo.com>
 *
 * $Horde$
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Marko Djukic <marko@oblo.com>
 * @version $Revision$
 * @package hordoogle
 */

define('HORDOOGLE_BASE', dirname(__FILE__));
require_once HORDOOGLE_BASE . '/lib/base.php';
require_once HORDOOGLE_BASE . '/lib/Search.php';

_useForms(array('SearchForm'));

$RENDERER = &new Horde_Form_Renderer();

$vars = &Horde_Form::getDefaultVars();

$formsearch = &_getSearchForm($vars);

$main = Horde::bufferOutput(array($formsearch, 'renderActive'), $RENDERER, $vars, 'search.php', 'post');

if ($vars->isVarSet('query')) {

    $google = new SOAP_Google($conf['api']['key']);

    $results = $google->search(array('query' => $vars->getVar('query')));

    if (is_a($results, 'PEAR_Error')) {
        $main .= sprintf('Query failed. %s', $results->getMessage());
    } else {
        foreach ($results->resultElements as $result_num => $result) {
          $main .= sprintf('<a href="%s">%s</a><br />%s<br />Description: %s<br/>%s - %s<p />',
                           $result->URL,
                           $result->title,
                           $result->snippet,
                           $result->summary,
                           $result->URL,
                           $result->cachedSize);
        }
    }

}

$template->set('main', $main);

require HORDOOGLE_TEMPLATES . '/common-header.inc';
echo $template->fetch(HORDOOGLE_BASE . '/config/templates/main.html');
require HORDOOGLE_TEMPLATES . '/common-footer.inc';
